class PlanServer {
  async page(row) {
    return window.framework.http.post("/biz_plan/page", row);
  }

  async add(row) {
    return window.framework.http.post("/biz_plan/add", row);
  }

  async edit(row) {
    return window.framework.http.post("/biz_plan/edit", row);
  }

  async del(row) {
    return window.framework.http.post("/biz_plan/del", row);
  }

  async toggle(row) {
    return window.framework.http.post("/biz_plan/toggle", row);
  }

  async all() {
    return window.framework.http.get("/biz_plan/all", {});
  }

  async exportRows(row) {
    return window.framework.http.post("/biz_plan/export", row);
  }
}

export default new PlanServer();
